Bug 808239 - Unsighty "comm: pm-suspend Not tainted 3.3.0-4.fc16.x86_64" message
Unsighty "comm: pm-suspend Not tainted 3.3.0-4.fc16.x86_64" message
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 18:06 EDT by Hin-Tak Leung
Modified: 2012-10-26 09:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-26 09:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hin-Tak Leung 2012-03-29 18:06:53 EDT
Description of problem:

I suspend/resume quite regularly. Since booting to 3.3.0-4.fc16.x86_64, I get these in dmesg:

Mar 29 21:16:41 localhost kernel: [33245.143448] Pid: 21722, comm: pm-suspend Not tainted 3.3.0-4.fc16.x86_64 #1
Mar 29 21:16:41 localhost kernel: [33245.143450] Call Trace:
Mar 29 21:16:41 localhost kernel: [33245.143457]  [<ffffffff81057b1f>] warn_slowpath_common+0x7f/0xc0
Mar 29 21:16:41 localhost kernel: [33245.143463]  [<ffffffff81057c16>] warn_slowpath_fmt+0x46/0x50
Mar 29 21:16:41 localhost kernel: [33245.143467]  [<ffffffff811f09f9>] ? sysfs_get_dirent+0x59/0x80
Mar 29 21:16:41 localhost kernel: [33245.143471]  [<ffffffff811f2acb>] sysfs_remove_group+0xfb/0x100
Mar 29 21:16:41 localhost kernel: [33245.143478]  [<ffffffffa028d5dd>] mc_cpu_callback+0xd1/0x11e [microcode]
Mar 29 21:16:41 localhost kernel: [33245.143484]  [<ffffffff815f7ddd>] notifier_call_chain+0x4d/0x70
Mar 29 21:16:41 localhost kernel: [33245.143489]  [<ffffffff8107fc8e>] __raw_notifier_call_chain+0xe/0x10
Mar 29 21:16:41 localhost kernel: [33245.143493]  [<ffffffff81059900>] __cpu_notify+0x20/0x40
Mar 29 21:16:41 localhost kernel: [33245.143496]  [<ffffffff815d3081>] _cpu_down+0x81/0x270
Mar 29 21:16:41 localhost kernel: [33245.143500]  [<ffffffff81059b67>] disable_nonboot_cpus+0xa7/0x150
Mar 29 21:16:41 localhost kernel: [33245.143505]  [<ffffffff8109cd3c>] suspend_devices_and_enter+0x20c/0x300
Mar 29 21:16:41 localhost kernel: [33245.143508]  [<ffffffff8109cf99>] enter_state+0x169/0x1b0
Mar 29 21:16:41 localhost kernel: [33245.143513]  [<ffffffff8109b8c7>] state_store+0xb7/0x130
Mar 29 21:16:41 localhost kernel: [33245.143518]  [<ffffffff812c2a0f>] kobj_attr_store+0xf/0x30
Mar 29 21:16:41 localhost kernel: [33245.143522]  [<ffffffff811ef20f>] sysfs_write_file+0xef/0x170
Mar 29 21:16:41 localhost kernel: [33245.143526]  [<ffffffff811816f3>] vfs_write+0xb3/0x180
Mar 29 21:16:41 localhost kernel: [33245.143529]  [<ffffffff81181a1a>] sys_write+0x4a/0x90
Mar 29 21:16:41 localhost kernel: [33245.143532]  [<ffffffff815fc029>] system_call_fastpath+0x16/0x1b
Mar 29 21:16:41 localhost kernel: [33245.143535] ---[ end trace 09b4a2ec0230c0e4 ]---




Version-Release number of selected component (if applicable):
kernel 3.3.0-4.fc16.x86_64

How reproducible:
daily (every suspect)

Steps to Reproduce:
1. close laptop lid
2. re-open a while later
3. look at dmesg
  
Actual results:



Expected results:


Additional info:

The older kernels don't show such things:

# last |grep reboot
reboot   system boot  3.3.0-4.fc16.x86 Thu Mar 29 01:38 - 23:05  (21:27)    
reboot   system boot  3.3.0-4.fc16.x86 Tue Mar 27 05:55 - 01:37 (1+19:42)   
reboot   system boot  3.3.0-4.fc16.x86 Sun Mar 25 21:19 - 05:54 (1+08:34)   
reboot   system boot  3.3.0-4.fc16.x86 Thu Mar 22 22:13 - 21:19 (2+22:05)   
reboot   system boot  3.2.10-3.fc16.x8 Mon Mar 19 03:52 - 22:12 (3+18:19)   
reboot   system boot  3.2.9-2.fc16.x86 Sat Mar 17 19:53 - 03:52 (1+07:58)   
reboot   system boot  3.2.9-2.fc16.x86 Wed Mar 14 17:21 - 19:53 (3+02:31)   
reboot   system boot  3.2.9-2.fc16.x86 Mon Mar 12 18:40 - 17:21 (1+22:40)   
reboot   system boot  3.2.9-2.fc16.x86 Sun Mar 11 21:49 - 18:39  (20:50)    
reboot   system boot  3.2.9-1.fc16.x86 Thu Mar  8 23:08 - 21:48 (2+22:39)   
reboot   system boot  3.2.7-1.fc16.x86 Fri Mar  2 00:25 - 23:08 (6+22:43)   
reboot   system boot  3.2.7-1.fc16.x86 Tue Feb 28 19:20 - 00:24 (2+05:04)   
reboot   system boot  3.2.7-1.fc16.x86 Sat Feb 25 13:42 - 19:19 (3+05:37)   
reboot   system boot  3.2.7-1.fc16.x86 Thu Feb 23 07:50 - 13:42 (2+05:51)   
reboot   system boot  3.2.6-3.fc16.x86 Thu Feb 16 05:47 - 07:49 (7+02:02)   
reboot   system boot  3.2.5-3.fc16.x86 Wed Feb 15 15:05 - 05:46  (14:41)    
reboot   system boot  3.2.5-3.fc16.x86 Tue Feb 14 02:47 - 05:46 (2+02:59)   
reboot   system boot  3.2.5-3.fc16.x86 Tue Feb 14 00:59 - 02:46  (01:46)    
reboot   system boot  3.2.5-3.fc16.x86 Sun Feb 12 01:15 - 00:59 (1+23:43)   
reboot   system boot  3.2.3-2.fc16.x86 Thu Feb  9 07:05 - 01:14 (2+18:09)
Comment 1 Josh Boyer 2012-09-18 11:17:24 EDT
Are you still seeing this with the 3.4 or 3.5 kernel updates?
Comment 2 Dave Jones 2012-10-23 11:34:32 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Hin-Tak Leung 2012-10-26 09:25:48 EDT
Haven't seen it for a while, and don't have the problem for as far syslog goes (23rd sep).

# last |grep reboot
reboot   system boot  3.6.2-4.fc17.x86 Thu Oct 25 19:42 - 14:23  (18:41)    
reboot   system boot  3.6.1-1.fc17.x86 Thu Oct 18 02:58 - 18:41 (7+15:42)   
reboot   system boot  3.6.1-1.fc17.x86 Mon Oct 15 14:04 - 01:58 (2+11:54)   
reboot   system boot  3.6.1-1.fc17.x86 Sat Oct 13 04:51 - 13:03 (2+08:12)   
reboot   system boot  3.5.6-1.fc17.x86 Thu Oct 11 03:47 - 03:51 (2+00:03)   
reboot   system boot  3.5.5-2.fc17.x86 Sat Oct  6 16:51 - 02:46 (4+09:54)   
reboot   system boot  3.5.5-2.fc17.x86 Sat Oct  6 06:58 - 02:46 (4+19:48)   
reboot   system boot  3.5.5-2.fc17.x86 Sat Oct  6 05:29 - 05:57  (00:28)    
reboot   system boot  3.5.5-2.fc17.x86 Sat Oct  6 02:35 - 02:40  (00:04)    
reboot   system boot  3.5.5-2.fc17.x86 Fri Oct  5 20:58 - 21:04  (00:06)    
reboot   system boot  3.5.5-2.fc17.x86 Fri Oct  5 14:58 - 20:56  (05:58)    
reboot   system boot  3.5.4-2.fc17.x86 Tue Oct  2 11:17 - 14:57 (3+03:39)   
reboot   system boot  3.5.4-1.fc17.x86 Thu Sep 27 08:51 - 11:17 (5+02:25)   
reboot   system boot  3.5.4-1.fc17.x86 Tue Sep 25 08:10 - 08:51 (2+00:40)   
reboot   system boot  3.5.4-1.fc17.x86 Tue Sep 25 02:43 - 08:51 (2+06:07)   
reboot   system boot  3.5.4-1.fc17.x86 Tue Sep 25 02:39 - 02:42  (00:03)    
reboot   system boot  3.5.4-1.fc17.x86 Sun Sep 23 01:29 - 02:38 (2+01:09)

Note You need to log in before you can comment on or make changes to this bug.